Bug 47300 - javascript/frames problem in konqueror
Summary: javascript/frames problem in konqueror
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-04 16:34 UTC by Tim Waugh
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-17 13:50:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
index.html (375 bytes, text/html)
2001-07-04 16:34 UTC, Tim Waugh
no flags Details
otherframe.html (210 bytes, text/html)
2001-07-04 16:35 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2001-07-04 16:34:30 UTC
Description of Problem:
When a frame has initial src="" (which is dubious to start with, but 
there are sites that do this), and another frame sets the original 
frame's location with some javascript, the original frame remains empty.

How Reproducible:
100%

Steps to Reproduce:
1. Put the attached files in the same directory.
2. View index.html.

Actual Results:
Frame 'main' remains empty.

Expected Results:
Frame 'main' displays www.redhat.com front page.

Additional Information:
Works in other browsers..

Comment 1 Tim Waugh 2001-07-04 16:34:49 UTC
Created attachment 22667 [details]
index.html

Comment 2 Tim Waugh 2001-07-04 16:35:20 UTC
Created attachment 22668 [details]
otherframe.html

Comment 3 Bernhard Rosenkraenzer 2001-07-17 13:50:34 UTC
This is fixed in CVS. Backporting is all but easy though.


Comment 4 Tim Waugh 2001-08-11 09:54:04 UTC
Fixed in 2.2.



Note You need to log in before you can comment on or make changes to this bug.